﻿<Graph ClassName="INLoadPlanTransferContent" Source="#CDATA" IsNew="True" FileType="NewDac">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Objects.IN;

namespace DispatchExtension
{
    [Serializable]
    [PXCacheName("INLoadPlanTransferContent")]
    public class INLoadPlanTransferContent : IBqlTable
    {
        #region RecordID
        [PXDBIdentity(IsKey = true)]
        public virtual int? RecordID { get; set; }
        public abstract class recordID : PX.Data.BQL.BqlInt.Field<recordID> { }
        #endregion

        #region TransferNbr
        [PXDBString(15, IsUnicode = true, InputMask = "")]
        [PXUIField(DisplayName = "Transfer Nbr")]
        public virtual string TransferNbr { get; set; }
        public abstract class transferNbr : PX.Data.BQL.BqlString.Field<transferNbr> { }
        #endregion

        #region TransferLineNbr
        [PXDBInt()]
        [PXUIField(DisplayName = "Transfer Line Nbr")]
        public virtual int? TransferLineNbr { get; set; }
        public abstract class transferLineNbr : PX.Data.BQL.BqlInt.Field<transferLineNbr> { }
        #endregion

        #region LoadPlanNbr
        [PXDBString(15, IsUnicode = true, InputMask = "")]
        [PXUIField(DisplayName = "Load Plan Nbr")]
        [PXDBDefault(typeof(LPLoadPlanTransfer.loadPlanNbr))]
        public virtual string LoadPlanNbr { get; set; }
        public abstract class loadPlanNbr : PX.Data.BQL.BqlString.Field<loadPlanNbr> { }
        #endregion

        #region LoadPlanLineNbr
        [PXDBInt()]
        [PXUIField(DisplayName = "Load Plan Line Nbr")]
        public virtual int? LoadPlanLineNbr { get; set; }
        public abstract class loadPlanLineNbr : PX.Data.BQL.BqlInt.Field<loadPlanLineNbr> { }
        #endregion

        #region LoadQty
        [PXDBDecimal()]
        [PXUIField(DisplayName = "Load Qty")]
        [PXParent(typeof(Select<
            INTran, 
            Where<INTran.docType, Equal<INDocType.transfer>, 
                And<INTran.refNbr, Equal<Current<transferNbr>>, 
                And<INTran.lineNbr, Equal<Current<transferLineNbr>>>>>>))]
        [PXFormula(null, typeof(SubCalc<INTranExtRCL.usrAvailLoadQty>))]
        public virtual Decimal? LoadQty { get; set; }
        public abstract class loadQty : PX.Data.BQL.BqlDecimal.Field<loadQty> { }
        #endregion

        #region Tstamp
        [PXDBTimestamp()]
        [PXUIField(DisplayName = "Tstamp")]
        public virtual byte[] Tstamp { get; set; }
        public abstract class tstamp : PX.Data.BQL.BqlByteArray.Field<tstamp> { }
        #endregion

        #region CreatedByID
        [PXDBCreatedByID()]
        public virtual Guid? CreatedByID { get; set; }
        public abstract class createdByID : PX.Data.BQL.BqlGuid.Field<createdByID> { }
        #endregion

        #region CreatedByScreenID
        [PXDBCreatedByScreenID()]
        public virtual string CreatedByScreenID { get; set; }
        public abstract class createdByScreenID : PX.Data.BQL.BqlString.Field<createdByScreenID> { }
        #endregion

        #region CreatedDateTime
        [PXDBCreatedDateTime()]
        public virtual DateTime? CreatedDateTime { get; set; }
        public abstract class createdDateTime : PX.Data.BQL.BqlDateTime.Field<createdDateTime> { }
        #endregion

        #region LastModifiedByID
        [PXDBLastModifiedByID()]
        public virtual Guid? LastModifiedByID { get; set; }
        public abstract class lastModifiedByID : PX.Data.BQL.BqlGuid.Field<lastModifiedByID> { }
        #endregion

        #region LastModifiedByScreenID
        [PXDBLastModifiedByScreenID()]
        public virtual string LastModifiedByScreenID { get; set; }
        public abstract class lastModifiedByScreenID : PX.Data.BQL.BqlString.Field<lastModifiedByScreenID> { }
        #endregion

        #region LastModifiedDateTime
        [PXDBLastModifiedDateTime()]
        public virtual DateTime? LastModifiedDateTime { get; set; }
        public abstract class lastModifiedDateTime : PX.Data.BQL.BqlDateTime.Field<lastModifiedDateTime> { }
        #endregion
    }
}]]></CDATA>
</Graph>